package com.dvag.example.otel.domain

import com.dvag.example.otel.persistence.SomeEntityRepository
import org.quartz.Job
import org.quartz.JobExecutionContext
import org.springframework.stereotype.Component

@Component
class SomeJob(private val someEntityRepository: SomeEntityRepository) : Job {
    override fun execute(context: JobExecutionContext?) {
        val id = context?.jobDetail?.jobDataMap?.get("id").toString().toLong()
        val entity = someEntityRepository.findById(id).orElseThrow()
        println("Executing job for entity: $entity")
    }
}