package com.dvag.example.otel.domain

import com.dvag.example.otel.persistence.SomeEntity
import com.dvag.example.otel.persistence.SomeEntityRepository
import com.dvag.example.otel.quartz.observability.QuartzJobFacade
import org.springframework.stereotype.Service

@Service
class SomeService(val someEntityRepository: SomeEntityRepository,
    val jobFacade: QuartzJobFacade) {

    fun doSomething() {
       val someEntity = someEntityRepository.save(SomeEntity(null, "name " + System.currentTimeMillis()))
        jobFacade.executeNow(SomeJob::class.java, mapOf<String, Any>("id" to someEntity.id.toString()))
    }
}