package com.dvag.abschluss.quartz.observability

import io.opentelemetry.api.common.AttributesBuilder
import io.opentelemetry.context.Context
import io.opentelemetry.instrumentation.api.instrumenter.AttributesExtractor
import org.quartz.JobExecutionContext

class QuartzAttributesExtractor : AttributesExtractor<JobExecutionContext, Void> {
    override fun onStart(attributes: AttributesBuilder, parentContext: Context, jobExecutionContext: JobExecutionContext) {
        attributes.put("jobName", jobExecutionContext.jobDetail.key.name)
        attributes.put("jobGroup", jobExecutionContext.jobDetail.key.group)
    }

    override fun onEnd(attributes: AttributesBuilder, context: Context, request: JobExecutionContext, response: Void?, error: Throwable?) {
    }
}
