package com.dvag.abschluss.quartz.observability

import io.opentelemetry.instrumentation.api.instrumenter.ErrorCauseExtractor
import org.quartz.SchedulerException

class QuartzErrorCauseExtractor : ErrorCauseExtractor {
    override fun extract(error: Throwable): Throwable? {
        var userError: Throwable? = error
        while (userError is SchedulerException) {
            userError = userError.underlyingException
        }
        return userError ?: error
    }
}
