package com.dvag.example.otel.quartz.observability

import com.dvag.abschluss.quartz.observability.QuartzTelemetryInstrumentation
import org.quartz.JobExecutionContext
import org.quartz.JobExecutionException
import org.quartz.listeners.JobListenerSupport
import org.springframework.stereotype.Component

/**
 * Bridge between Quartz and OpenTelemetry.
 */
@Component
class QuartzInstrumentationJobListener() : JobListenerSupport()  {

    private val telemetry = QuartzTelemetryInstrumentation()

    companion object {
        const val TRACE_ID = "TRACE_ID"
    }

    override fun getName(): String = QuartzInstrumentationJobListener::class.java.simpleName

    override fun jobToBeExecuted(context: JobExecutionContext) {
        telemetry.beforeJob(context)
    }

    override fun jobWasExecuted(context: JobExecutionContext?, jobException: JobExecutionException?) {
        telemetry.afterJob(context, jobException)
    }
}